RAND(3F)

NAME
rand, drand, irand - return random values

SYNOPSIS
function irand (iflag)

function rand (iflag)

double precision function drand (iflag)

DESCRIPTION
The newer random(3f) should be used in new applications; rand remains for compatibilty.

These functions use rand(3C) to generate sequences of random numbers. If iflag is '1', the generator is restarted and the first random value is returned. If iflag is otherwise non-zero, it is used as a new seed for the random number generator, and the first new random value is returned.

Irand returns positive integers in the range 0 through 2147483647. Rand and drand return values in the range 0. through 1.0 .

FILES
/usr/lib/libF77.a

SEE ALSO
random(3F), rand(3C)

BUGS
The algorithm returns a 15 bit quantity on the PDP11; a 31 bit quantity on the VAX. Irand on the PDP11 calls rand(3C) twice to form a 31 bit quantity, but bit 15 will always be 0.